:root {
    --black: #000000;
    --dark-purple: #222034;
    --rust: #8f563b;
    --bright-orange: #df7126;
    --yellow: #fbf236;
    --faded-orange: #d9a066;
    --light-salmon: #eec39a;
    --white: #ffffff;
}

@font-face {
    font-family: "m5x7";
    src: URL("/fonts/m5x7.ttf") format("truetype");
}

@font-face {
    font-family: "Tomorrow";
    src: URL("/fonts/Tomorrow-Medium.ttf") format("truetype");
}

html {
    height: 100%;
    background-color: var(--black);
    color: var(--white);
    font-family: m5x7;
    font-size: round(calc(32px + 1vw), 16px);
    line-height: 1;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100%;
    max-width: 75ch;
    margin: auto;
}

h1 {
    font-weight: normal;
    font-size: round(2em, 16px);
}

h2 {
    margin: 0 0 32px 0;
}

h2,
h3,
h4,
h5,
h6 {
    font-weight: normal;
    font-size: round(1.5em, 16px);
}

footer {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
    padding: 16px 64px;
    margin-top: auto;
    font-size: 32px;
}

a {
    color: var(--faded-orange);
}

a:has(div) {
    text-decoration: none;
}

nav > a {
    color: var(--white);
    text-decoration: none;
}

nav > a:hover {
    text-decoration: underline;
}

footer > a {
    color: #847e87;
    text-decoration: none;
}

footer > a:hover {
    text-decoration: underline;
}

.container {
    display: flex;
    place-content: center;
}

.title-card {
    box-sizing: border-box;
    min-width: 320px;
    width: 600px;
    max-width: 100%;
    margin: auto;
    background-color: var(--dark-purple);
    color: var(--white);
    padding: 32px;
    text-align: center;
    border-radius: 4px;
    border-top-color: var(--faded-orange);
    border-left-color: var(--faded-orange);
    border-bottom: var(--rust);
    border-right-color: var(--rust);
    border-width: 8px;
    border-style: solid;
}

.buttons {
    display: flex;
    justify-content: center;
}

.button-column {
    flex-direction: column;
    gap: 16px;
    align-items: center;
}

.button {
    background-color: var(--rust);
    color: var(--white);
    padding: 8px 16px;
    border-radius: 4px;
    margin: 0 8px;
    font-family: m5x7;
    font-size: round(calc(32px + 1.45vw), 16px);
    text-decoration: none;
}

.button:hover {
    background-color: var(--faded-orange);
    color: var(--dark-purple);
}

.button:hover > img {
    filter: brightness(0) saturate(100%) invert(8%) sepia(6%) saturate(5602%)
        hue-rotate(207deg) brightness(99%) contrast(88%);
}

.logo {
    width: round(calc(128px + 1.45vw), 16px);
    height: round(calc(96px + 1.45vw), 16px);
}

.small-icon {
    width: round(calc(24px + 0.75vw), 12px);
    height: round(calc(24px + 0.75vw), 12px);
}

.star {
    position: fixed;
    height: 6px;
    opacity: 0.25;
    z-index: -1;
}

.top-right {
    position: fixed;
    top: 16px;
    right: 16px;
}

.icon-link {
    font-size: 0;
}

.push-right {
    margin-left: auto;
}

.header-icon {
    width: 30px;
    height: 30px;
}

.big-center-title {
    font-size: round(calc(8em / 3), 16px);
    margin: auto;
    text-align: center;
    position: sticky;
    top: 160px;
}

.centered {
    text-align: center;
}

.text-secondary {
    color: var(--faded-orange);
}

.pixel {
    image-rendering: pixelated;
}

.w-100 {
    width: 100%;
}

@media (max-width: 767px) {
    footer {
        padding: 16px;
    }
}

@media (min-width: 1656px) {
    .title-card {
        min-width: 60%;
    }
}

@media (prefers-color-scheme: dark) {
    .light-dark {
        background-color: var(--white);
    }
}
@media (prefers-color-scheme: light) {
    .light-dark {
        background-color: var(--dark-purple);
    }
}

@keyframes pulse {
    0%,
    80% {
        opacity: 0.25;
    }
    100% {
        opacity: 1;
    }
}
